Bug 1770 - Red russian symbols
: Red russian symbols
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs21-X11)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-27 17:28 by
Modified: 2005-12-14 13:04 (History)


Attachments
0001770-emacs.png (65.18 KB, image/png)
2002-12-27 17:28, Alexandre Prokoudine
no flags Details
0001770-lancrypto.xml (29.85 KB, text/xml)
2002-12-28 15:31, Alexandre Prokoudine
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-27 17:28:39
При редактировании файла с разметкой DocBook/XML периодически возникает
проблема с отображением русских слов - визуально они отображаются как
содержащие орфографическую ошибка - красным цветом и с подчёркиванием. При этом
проверка орфографии показывает лишь реальные ошибки.
---

---
Эта ошибка не замечена при обработке файлов с другой разметкой по причине того,
что файлы с другой разметкой и без разметки в emacs не обрабатывается.
------- Comment #1 From 2002-12-27 19:59:11 -------
Не найдётся ли у Вас файла-примера (xml), демонстрирующего это?
------- Comment #2 From 2002-12-27 19:59:11 -------
Не найдётся ли у Вас файла-примера (xml), демонстрирующего это?
------- Comment #3 From 2002-12-28 15:31:58 -------
Файл с примером добавлен
------- Comment #4 From 2002-12-28 15:31:58 -------
Файл с примером добавлен
------- Comment #5 From 2003-03-26 23:22:01 -------
У меня красные буквы не получаются. Я делаю так:

запускаю emacs

С-x RET c cyrillic-koi8 RET
C-x C-f 0001770-lancrypto.xml RET
M-x xml-mode RET

В результате, в том месте, которое на картинке, красных букв нет.

$ rpm -qa \'emacs*\' | sort
emacs-common-21.2-alt16
emacs-dictionary-1.8.4-alt3
emacs-docbookide-0.1-alt4
emacs-eieio-0.17-alt5
emacs-el-21.2-alt16
emacs-elib-1.0-alt6
emacs-elisp-manual-2.8-alt1
emacsen-startscripts-0.0.3-alt2
emacs-leim-21.2-alt16
emacs-mode-auctex-11.14-alt6
emacs-mode-psgml-1.2.5-alt1
emacs-mode-tdtd-0.71-alt1
emacs-nox-21.2-alt16
emacs-semantic-1.4.3-alt2
emacs-speedbar-0.14-alt0.7.beta4
emacs-tramp-2.0.22-alt5
emacs-X11-21.2-alt16
------- Comment #6 From 2003-03-26 23:22:01 -------
У меня красные буквы не получаются. Я делаю так:

запускаю emacs

С-x RET c cyrillic-koi8 RET
C-x C-f 0001770-lancrypto.xml RET
M-x xml-mode RET

В результате, в том месте, которое на картинке, красных букв нет.

$ rpm -qa \'emacs*\' | sort
emacs-common-21.2-alt16
emacs-dictionary-1.8.4-alt3
emacs-docbookide-0.1-alt4
emacs-eieio-0.17-alt5
emacs-el-21.2-alt16
emacs-elib-1.0-alt6
emacs-elisp-manual-2.8-alt1
emacsen-startscripts-0.0.3-alt2
emacs-leim-21.2-alt16
emacs-mode-auctex-11.14-alt6
emacs-mode-psgml-1.2.5-alt1
emacs-mode-tdtd-0.71-alt1
emacs-nox-21.2-alt16
emacs-semantic-1.4.3-alt2
emacs-speedbar-0.14-alt0.7.beta4
emacs-tramp-2.0.22-alt5
emacs-X11-21.2-alt16
------- Comment #7 From 2003-12-15 17:11:34 -------
move to me
------- Comment #8 From 2004-02-09 17:16:50 -------
fixed
------- Comment #9 From 2004-04-29 12:35:25 -------
переназначено 
 
------- Comment #10 From 2005-10-18 14:01:04 -------
Additional Comment #8 From Alex Ott  2004-02-09 17:16
fixed

Втр Окт 18 13:02:43 EEST 2005
tested -- no bug.